// This file is part of the disk cataloger Wssindex, but was written by a
// 3rd party.  See comments below for author and licensing information.

// This comes from https://wiki.qt.io/Clickable_QLabel
// License is Creative Commons Attribution-ShareAlike 2.5 Generic

#ifndef CLICKABLELABEL_H
#define CLICKABLELABEL_H

//#include "OtherWssi/wssindex.h"

#include <QLabel>

class ClickableLabel : public QLabel
	{
	Q_OBJECT

public:
	explicit ClickableLabel(const QString& text = "", QWidget *parent = nullptr);
	explicit ClickableLabel(QWidget *parent);
	~ClickableLabel() override;
	bool event(QEvent *event) override;

Q_SIGNALS:
	void clicked();
	void labelHovered();
	void labelUnhovered();

protected:
	void mouseReleaseEvent(QMouseEvent *event) override;
	};

#endif // CLICKABLELABEL_H
