// This file is part of the disk cataloger Wssindex, but was written by a
// 3rd party.  See comments below for author and licensing information.

// This came from
// https://wiki.qt.io/Qt_project_org_faq#How_can_I_draw_one_of_my_menu_items.2C_e.g_Help.2C_to_the_right_in_the_menubar_.3F

#ifndef STYLE_H
#define STYLE_H

#include <QProxyStyle>

class helpMenuStyle : public QProxyStyle
	{
public:
	helpMenuStyle() {}

	int styleHint(StyleHint hint, const QStyleOption *option = nullptr,
					  const QWidget *widget = nullptr, QStyleHintReturn *returnData = nullptr) const override
		{
		switch(hint)
			{
			case QStyle::SH_DrawMenuBarSeparator:
				return 1;
			default:
				return QProxyStyle::styleHint(hint, option, widget, returnData);
			}
		}
	};

#endif // STYLE_H
