// This file is part of the disk cataloger Wssindex, but was derived from code written by a
// 3rd party.  See comments below for author and licensing information.

// From post #4 by jpn at https://www.qtcentre.org/threads/6252-QTableWidget-NW-corner-header-item
// and https://stackoverflow.com/questions/1230222/selected-rows-line-in-qtableview-copy-to-qclipboard

#ifndef QTABLEWIDGETOVERRIDE_H
#define QTABLEWIDGETOVERRIDE_H

#endif // QTABLEWIDGETOVERRIDE_H

#include "OtherWssi/wssindex.h"

#include <QtGui>
#include <QTableWidget>
#include <QAbstractButton>
#include <QApplication>
#include <QHeaderView>
#include <QStylePainter>

class TableWidget : public QTableWidget
	{
	Q_OBJECT

public:
	explicit TableWidget(QWidget *parent = nullptr);

	TableWidget(int rows, int columns, QWidget *parent = nullptr) :
	  QTableWidget(rows, columns, parent) {}

private:
	void copy();

protected:
	bool eventFilter(QObject *o, QEvent *e) override;

public Q_SLOTS:
	void keyPressEvent(QKeyEvent * event) override;
	};
