// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include "Dialogs/indexwindow.h"

// Routines to change byte order
//	(ttfadd includes fscdefs.h which has macros for doing this inline,
//	perhaps they should be used?)

// swap2 - swap the byte order of a 2-byte integer
void IndexWindow::swap2(void *swapme)
	{
	char *byte;
	char save;

	byte = reinterpret_cast<char *>(swapme);
	save = byte[0];
	byte[0] = byte[1];
	byte[1] = save;
	}

// swap4 - swap the byte order of a 4-byte integer
void IndexWindow::swap4(void *swapme)
	{
	char *byte;
	char save;

	byte = reinterpret_cast<char *>(swapme);
	save = byte[0];
	byte[0] = byte[3];
	byte[3] = save;

	save = byte[1];
	byte[1] = byte[2];
	byte[2] = save;
	}
