// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

// If widget top is totally off screen, move it to (100,100).  Require
// 5 pixels visible so there's something to grab to move the window.
// Remember this is a left handed coordinate system so y=0 at the top.
// Easiest way to trigger need for this adjustment would be to have a
// saved position point to a 2nd monitor that is no longer present.

#include <QApplication>
#include <QDesktopWidget>

void forceOnscreen(QWidget *widget)
	{
// Show the widget or else geometry numbers will probably be wrong
	widget->show();
	QRect widgetscreen = QApplication::desktop()->screenGeometry(widget);
	if(widget->geometry().left() > widgetscreen.right()-5 ||
		widget->geometry().right() < widgetscreen.left()+5 ||
		widget->geometry().top() < widgetscreen.top()-5 ||
		widget->geometry().top() > widgetscreen.bottom()+5)
		{
		widget->move(QPoint(100, 100));
		}
	}
