// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef INITIALPOS_H
#define INITIALPOS_H

// Initial positions of query and sort dialogs if no value has been saved.
// These are offset of the center of the window from the center of the screen.
// The purpose of these is prevent all the dialogs from appearing on top of
// each other when the program is first used.

// Queries
#define RANGE_OFFSET			-400, -50
#define ARCHIVE_OFFSET		0, -50
#define SPECIAL_OFFSET		400, -100
#define NAMES_OFFSET			-400, 150
#define SIMPLEQUERY_OFFSET	0, 200
#define FILETYPE_OFFSET		400, 175
#define SORTBENCH_OFFSET	200, 0

// Sorts
#define SIMPLE_SORT_OFFSET	-400, 0
#define FULL_SORT_OFFSET	400, 0

// Indexing
#define INDEXMAIN_OFFSET	-200, 0
#define INDEXSTATUS_OFFSET	200, -200
#define INDEXLOG_OFFSET		300, 150

#endif // INITIALPOS_H
