// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#include "OtherWssi/wssindex.h"
#include "OtherWssi/wssiproto.h"
#include "Dialogs/mainwindow.h"

void MainWindow::simpleconf(unsigned long requested_maxfiles, unsigned long requested_maxsubs,
									 unsigned long requested_maxdisks)
	{
	SubDisk = nullptr;
	SubDir = nullptr;
	Dr = nullptr;
	Vrec = nullptr;
	Sortindx = nullptr;
	Diskno = 0;
	Subno = 0;
	Nofile = 0;
	NoPlainFiles = 0;

// Set trivially small limits just to get things initialized.
// This routine only gets called when no memory has been allocated at all,
// so if these fail, we're really in trouble.
	increase_max_filecount_to(10);
	increase_max_subcount_to(10);
	increase_max_diskcount_to(10);
	rootset();

	do {
		if(increase_max_filecount_to(requested_maxfiles))
			break;
		if(increase_max_subcount_to(requested_maxsubs))
			break;
		if(increase_max_diskcount_to(requested_maxdisks))
			break;
		} while (false);
	}
