// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef TABLELAYOUT_H
#define TABLELAYOUT_H
#include <vector>

#ifndef EXTERN
	#define EXTERN extern
#endif

#define FIELD_LFN				0
#define FIELD_EXT				1
#define FIELD_VOL				2
#define FIELD_SUBDIR			3
#define FIELD_ARCHIVE		4
#define FIELD_SIZE			5
#define FIELD_TIMESTAMP		6
#define FIELD_CATEGORY		7
#define FIELD_COMMENT		8
#define FIELD_EXTRA_INFO	9

#include "OtherWssi/wssindex.h"

#include <Qt>
#include <QtGlobal>
#include <QString>

EXTERN int rowsPerItem, colsPerItem;
EXTERN int categoryRow, categoryCol,
	commentRow, commentCol,
	extraRow, extraCol,
	volumeRow, volumeCol;

EXTERN struct fl
	{
	int row;
	int column;
	int height;
	int width;
	QString fieldname;
	Qt::AlignmentFlag alignment;
	bool enabled;
	char dummy[3];		// alignment padding
	} fieldlayout[NFIELDS];

#endif // TABLELAYOUT_H
