// This file is part of the disk cataloger Wssindex.  Wssindex is copyright
// 1985-2021 by Robert W. Babcock and WSS Division of DDC.  Effective 2010,
// Wssindex is distributed under the terms of the GNU General Public
// License.  Contact the author at wssddc@wssddc.com or see the project web
// page at <https://www.wssddc.com/wssindex/>.
//
// Wssindex uses the open source Qt toolkit from the Qt Project (qt-project.org)
// and The Qt Company (www.qt.io).
//
// Wssindex is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License, or (at your
// option) any later version.
//
// Wssindex is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with Wssindex.  If not, see <https://www.gnu.org/licenses/>.

#ifndef SUBMENUPROXY_H
#define SUBMENUPROXY_H

#include <QProxyStyle>

// Partial workaround for a supposedly fixed Qt-5.5 bug that makes submenus
// close too easily.  See https://bugreports.qt.io/browse/QTBUG-45565

// These hints are also in windowsmodernstyle.cpp

class SubMenuProxy : public QProxyStyle
	{
public:
	int styleHint(StyleHint hint, const QStyleOption *option = nullptr,
				  const QWidget *widget = nullptr, QStyleHintReturn *returnData = nullptr) const override
		{
		switch(hint)
			{
#include "Workarounds/menushvalues.include"
			default:
				return QProxyStyle::styleHint(hint, option, widget, returnData);
			}
		}
	};
#endif // SUBMENUPROXY_H
